require "Insurgent/Traits/LoadoutAssaultTrait"

LoadoutAssaultTrait.description  = getText("UI_trait_LoadoutAssaultDesc_BRITA_VERSION")

function LoadoutAssaultTrait.OnNewGame(player)
    if not player:HasTrait("LoadoutAssault") then
        return
    end

    player:getInventory():AddItem("Base.Sledgehammer");

    local weapon = InsurgentWeaponUtil.addWeapon(player, "Base.SPAS12_Fixed", {"Base.Carrier_12g", "Base.Sight_MicroDot", "Base.Choke_Full", "Base.Laser_Red"})
    InsurgentWeaponUtil.addMags(player, "Base.ShotgunShellsBox", 8) -- Should still work despite being boxes of shells, not mags
    InsurgentWeaponUtil.equipWeapon(player, weapon) -- Not sure how to load a shotgun yet
end
